=== debian/changelog ===
suckless-tools (44-1) unstable; urgency=low

  * New upstream release
    - Update dmenu to version 4.8
  * Bump debhelper compat level to 11
  * Modify d/control and d/copyright to use HTTPS
  * Update Vcs-* to point to salsa.debian.org
  * Update d/copyright file (bump Copyright years)
  * Remove obsolete get-orig-source rules target
  * Bump Standards-Version to 4.1.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 01 Jun 2018 13:16:24 +0300
