## suckless-tools 45

=== debian/changelog ===
suckless-tools (45-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Ilias Tsitsimpis ]
  * New upstream release
    - Update dmenu to version 4.9
  * Update patches to apply cleanly on new upstream
  * Set Rules-Requires-Root to no
  * Update d/copyright file (bump Copyright years)
  * Bump debhelper compat level to 12
  * Use the debhelper-compat build-dependency and remove d/compat
  * Bump Standards-Version to 4.5.0
  * Remove libcap2-bin dependency on non-linux.
    Thanks to Nicolas Schier for the patch (Closes: 922606)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 02 Mar 2020 19:42:59 +0200
