=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: x11
 Priority: optional
 Maintainer: Ilias Tsitsimpis <iliastsi@debian.org>
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libx11-dev,
  libxinerama-dev,
  dpkg-dev (>= 1.17),
@@ -12,15 +13,18 @@
  pkg-config,
  libpam0g-dev,
  libxrandr-dev,
- libfreetype6-dev
-Standards-Version: 4.1.4
+ libfreetype6-dev,
+Standards-Version: 4.5.0
 Homepage: https://www.suckless.org
 Vcs-Git: https://salsa.debian.org/debian/suckless-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/suckless-tools
 
 Package: suckless-tools
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libcap2-bin
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libcap2-bin [linux-any],
 Suggests: dwm, stterm, surf
 Provides: dmenu, lsw, slock, sprop, sselp, ssid, swarp, tabbed, wmname, xssstate
 Description: simple commands for minimalistic window managers
