=== debian/watch ===
--- 
+++ 
@@ -3,11 +3,11 @@
 # Download dmenu
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
-oversionmangle=s/.*/44/,\
+oversionmangle=s/.*/45/,\
 component=dmenu \
 https://dl.suckless.org/tools/ \
 dmenu@ANY_VERSION@@ARCHIVE_EXT@ \
-4.8
+4.9
 
 # Download lsw
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
