=== debian/changelog ===
suckless-tools (46-1) unstable; urgency=medium

  * New upstream release
    - Update dmenu to version 5.0 (Closes: 975553)
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.1
  * Update d/copyright file (bump Copyright years)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 28 Nov 2020 17:14:20 +0200
