=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ilias Tsitsimpis <iliastsi@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libx11-dev,
  libxinerama-dev,
  dpkg-dev (>= 1.17),
@@ -14,7 +14,7 @@
  libpam0g-dev,
  libxrandr-dev,
  libfreetype6-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.suckless.org
 Vcs-Git: https://salsa.debian.org/debian/suckless-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/suckless-tools
