=== debian/watch ===
--- 
+++ 
@@ -3,11 +3,11 @@
 # Download dmenu
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
-oversionmangle=s/.*/45/,\
+oversionmangle=s/.*/46/,\
 component=dmenu \
 https://dl.suckless.org/tools/ \
 dmenu@ANY_VERSION@@ARCHIVE_EXT@ \
-4.9
+5.0
 
 # Download lsw
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
