=== debian/changelog ===
suckless-tools (47-1) unstable; urgency=medium

  [ Aymeric Agon-Rambosson ]
  * New upstream release
    - Update dmenu to version 5.2
    - Update slock to version 1.5
    - Update tabbed to version 0.7
  * Update d/copyright file (bump Copyright years)
  * Refresh patches:
    - Removed patches 7, 8 and 9, part of the release

  [ Ilias Tsitsimpis ]
  * Do not install the xembed executable
  * Bump Standards-Version to 4.6.2

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 02 Jan 2023 12:30:10 +0200

suckless-tools (46-2) unstable; urgency=medium

  * Drop "provides: swarp" (Closes: 1006840)
  * Update d/copyright file (bump Copyright years)
  * Bump Standards-Version to 4.6.0

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 14 Mar 2022 20:26:16 +0200
