=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libpam0g-dev,
  libxrandr-dev,
  libfreetype6-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://www.suckless.org
 Vcs-Git: https://salsa.debian.org/debian/suckless-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/suckless-tools
@@ -26,7 +26,7 @@
  ${shlibs:Depends},
  libcap2-bin [linux-any],
 Suggests: dwm, stterm, surf
-Provides: dmenu, lsw, slock, sprop, sselp, ssid, swarp, tabbed, wmname, xssstate
+Provides: dmenu, lsw, slock, sprop, sselp, ssid, tabbed, wmname, xssstate
 Description: simple commands for minimalistic window managers
  This package provides simple commands designed to be used with a minimalistic
  window manager like dwm but they can be useful in scripts regardless of the
