=== debian/watch ===
--- 
+++ 
@@ -3,11 +3,11 @@
 # Download dmenu
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
-oversionmangle=s/.*/46/,\
+oversionmangle=s/.*/47/,\
 component=dmenu \
 https://dl.suckless.org/tools/ \
 dmenu@ANY_VERSION@@ARCHIVE_EXT@ \
-5.0
+5.2
 
 # Download lsw
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
@@ -23,7 +23,7 @@
 component=slock \
 https://dl.suckless.org/tools/ \
 slock@ANY_VERSION@@ARCHIVE_EXT@ \
-1.4
+1.5
 
 # Download sprop
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
@@ -63,7 +63,7 @@
 component=tabbed \
 https://dl.suckless.org/tools/ \
 tabbed@ANY_VERSION@@ARCHIVE_EXT@ \
-0.6
+0.7
 
 # Download wmname
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
