=== debian/changelog ===
suckless-tools (48-1) unstable; urgency=medium

  * New upstream release
    - Update dmenu to version 5.3
    - Update tabbed to version 0.8
    - Add slstatus, version 1.0
  * Adopt package from Ilias Tsitsimpis (Closes: #1085292).
  * Add Pierre-Elliott Bécue and Michaël Paulon to Uploaders.
  * Refresh patches.
  * Add slstatus information to d/copyright.
  * Update d/watch.
  * d/control :
    - Replace libfreetype6-dev build dependency with libfreetype-dev.
    - Replace pkg-config build dependency with pkgconf.
    - Add information about slstatus.
    - Bump Standards-Version to 4.7.0 (no changes required).
  * Update lintian-overrides.
  * Add patch to avoid installing tabbed/README twice.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Fri, 14 Mar 2025 22:02:58 +0100
