=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: suckless-tools
 Section: x11
 Priority: optional
-Maintainer: Ilias Tsitsimpis <iliastsi@debian.org>
+Maintainer: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
+Uploaders: Pierre-Elliott Bécue <peb@debian.org>,
+ Michaël Paulon <michael+debian@paulon.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -10,11 +12,11 @@
  dpkg-dev (>= 1.17),
  libxss-dev,
  libxft-dev,
- pkg-config,
+ pkgconf,
  libpam0g-dev,
  libxrandr-dev,
- libfreetype6-dev,
-Standards-Version: 4.6.2
+ libfreetype-dev,
+Standards-Version: 4.7.0
 Homepage: https://www.suckless.org
 Vcs-Git: https://salsa.debian.org/debian/suckless-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/suckless-tools
@@ -26,7 +28,7 @@
  ${shlibs:Depends},
  libcap2-bin [linux-any],
 Suggests: dwm, stterm, surf
-Provides: dmenu, lsw, slock, sprop, sselp, ssid, tabbed, wmname, xssstate
+Provides: dmenu, lsw, slock, slstatus, sprop, sselp, ssid, tabbed, wmname, xssstate
 Description: simple commands for minimalistic window managers
  This package provides simple commands designed to be used with a minimalistic
  window manager like dwm but they can be useful in scripts regardless of the
@@ -35,6 +37,7 @@
   * dmenu: Dynamic menu is a generic menu for X.
   * lsw: Lists the titles of all running X windows to stdout, similar to ls(1).
   * slock: Simple X display locker that locks the X session.
+  * slstatus: Simple status monitor.
   * sprop: Sets or gets X window properties.
   * sselp: Simple X selection printer that prints the X selection to stdout.
   * ssid: Simple setsid replacement.
