=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 # Provide the correct pkg-config for cross-building
 include /usr/share/dpkg/architecture.mk
-export PKG_CONFIG := $(DEB_HOST_GNU_TYPE)-pkg-config
+export PKG_CONFIG := pkgconf
 
 # Enable all hardening flags
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
