=== debian/watch ===
--- 
+++ 
@@ -3,11 +3,11 @@
 # Download dmenu
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
-oversionmangle=s/.*/47/,\
+oversionmangle=s/.*/48/,\
 component=dmenu \
 https://dl.suckless.org/tools/ \
 dmenu@ANY_VERSION@@ARCHIVE_EXT@ \
-5.2
+5.3
 
 # Download lsw
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
@@ -24,6 +24,14 @@
 https://dl.suckless.org/tools/ \
 slock@ANY_VERSION@@ARCHIVE_EXT@ \
 1.5
+
+# Download slstatus
+opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
+uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
+component=slstatus \
+https://dl.suckless.org/tools/ \
+slstatus@ANY_VERSION@@ARCHIVE_EXT@ \
+1.0
 
 # Download sprop
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
@@ -63,7 +71,7 @@
 component=tabbed \
 https://dl.suckless.org/tools/ \
 tabbed@ANY_VERSION@@ARCHIVE_EXT@ \
-0.7
+0.8
 
 # Download wmname
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
