=== lsw/Makefile ===
# lsw - list window names
# See LICENSE file for copyright and license details.
.POSIX:

include config.mk

SRC = lsw.c
OBJ = ${SRC:.c=.o}

all: lsw

.c.o:
	${CC} -c ${CFLAGS} $<

lsw: ${OBJ}
	${CC} -o $@ ${OBJ} ${LDFLAGS}

clean:
	rm -f lsw ${OBJ} lsw-${VERSION}.tar.gz

dist: clean
	mkdir -p lsw-${VERSION}
	cp -R LICENSE Makefile README config.mk lsw.1 ${SRC} lsw-${VERSION}
	tar -cf lsw-${VERSION}.tar lsw-${VERSION}
	gzip lsw-${VERSION}.tar
	rm -rf lsw-${VERSION}

install: all
	mkdir -p ${DESTDIR}${PREFIX}/bin
	cp -f lsw ${DESTDIR}${PREFIX}/bin
	chmod 755 ${DESTDIR}${PREFIX}/bin/lsw
	mkdir -p ${DESTDIR}${MANPREFIX}/man1
	sed "s/VERSION/${VERSION}/g" < lsw.1 > ${DESTDIR}${MANPREFIX}/man1/lsw.1
	chmod 644 ${DESTDIR}${MANPREFIX}/man1/lsw.1

uninstall:
	rm -f ${DESTDIR}${PREFIX}/bin/lsw
	rm -f ${DESTDIR}${MANPREFIX}/man1/lsw.1

.PHONY: all options clean dist install uninstall
