=== debian/changelog ===
suckless-tools (49-1) unstable; urgency=medium

  * New upstream release
    - Update dmenu to version 5.4
    - Update lsw to snapshot version 0.3+10096682a89 (Closes: #1014099)
    - Update slock to version 1.6
    - Update slstatus to version 1.1
    - Update tabbed to version 0.9
  * Drop patch segfault-avoidance.patch (applied upstream).
  * Refresh other patches.
  * Bump Standards-Version to 4.7.2 (no changes required).
  * Update d/watch.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 18 Aug 2025 16:16:16 +0200
