=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libpam0g-dev,
  libxrandr-dev,
  libfreetype-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.suckless.org
 Vcs-Git: https://salsa.debian.org/debian/suckless-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/suckless-tools
