=== debian/watch ===
--- 
+++ 
@@ -3,11 +3,11 @@
 # Download dmenu
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
-oversionmangle=s/.*/48/,\
+oversionmangle=s/.*/49/,\
 component=dmenu \
 https://dl.suckless.org/tools/ \
 dmenu@ANY_VERSION@@ARCHIVE_EXT@ \
-5.3
+5.4
 
 # Download lsw
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
@@ -23,7 +23,7 @@
 component=slock \
 https://dl.suckless.org/tools/ \
 slock@ANY_VERSION@@ARCHIVE_EXT@ \
-1.5
+1.6
 
 # Download slstatus
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
@@ -31,7 +31,7 @@
 component=slstatus \
 https://dl.suckless.org/tools/ \
 slstatus@ANY_VERSION@@ARCHIVE_EXT@ \
-1.0
+1.1
 
 # Download sprop
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
@@ -71,7 +71,7 @@
 component=tabbed \
 https://dl.suckless.org/tools/ \
 tabbed@ANY_VERSION@@ARCHIVE_EXT@ \
-0.8
+0.9
 
 # Download wmname
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
